package com.hai.model;

import java.math.BigDecimal;
import java.util.Date;

public class TyOrderModel {

    private String memPhone;
    private String orderNo;
    private String gasOrderNo;
    private String payType;
    private BigDecimal totalPrice;
    private BigDecimal oilLiters;
    private BigDecimal deductionPrice;
    private BigDecimal payRealPrice;
    private String goodsName;
    private String gasOilNo;
    private String gasGunNo;
    private BigDecimal platformPrice;
    private BigDecimal gasPriceGun;
    private Date createTime;
    private Date payTime;
    private Integer orderStatus;
    private Date refundTime;

    private String orgName;
    private String agentName;
    private String salesmanName;

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public BigDecimal getOilLiters() {
        return oilLiters;
    }

    public void setOilLiters(BigDecimal oilLiters) {
        this.oilLiters = oilLiters;
    }

    public String getMemPhone() {
        return memPhone;
    }

    public void setMemPhone(String memPhone) {
        this.memPhone = memPhone;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getSalesmanName() {
        return salesmanName;
    }

    public void setSalesmanName(String salesmanName) {
        this.salesmanName = salesmanName;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getGasOrderNo() {
        return gasOrderNo;
    }

    public void setGasOrderNo(String gasOrderNo) {
        this.gasOrderNo = gasOrderNo;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getDeductionPrice() {
        return deductionPrice;
    }

    public void setDeductionPrice(BigDecimal deductionPrice) {
        this.deductionPrice = deductionPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGasOilNo() {
        return gasOilNo;
    }

    public void setGasOilNo(String gasOilNo) {
        this.gasOilNo = gasOilNo;
    }

    public String getGasGunNo() {
        return gasGunNo;
    }

    public void setGasGunNo(String gasGunNo) {
        this.gasGunNo = gasGunNo;
    }

    public BigDecimal getPlatformPrice() {
        return platformPrice;
    }

    public void setPlatformPrice(BigDecimal platformPrice) {
        this.platformPrice = platformPrice;
    }

    public BigDecimal getGasPriceGun() {
        return gasPriceGun;
    }

    public void setGasPriceGun(BigDecimal gasPriceGun) {
        this.gasPriceGun = gasPriceGun;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }
}
